{% extends 'dragonboard-845c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set connection_commands = {'uart0': 'telnet serial-box02 7107'} %}
{% set adb_serial_number = '4f8fceab' %}
{% set fastboot_serial_number = '4f8fceab' %}

{# OTG port control #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave02-hub01 -m sync -u 15' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave02-hub01 -m off -u 15' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave02-hub01 -m off -u 15',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu02 --command reboot --port 2',
'/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave02-hub01 -m sync -u 15'] %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu02 --command on --port 2',
'/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave02-hub01 -m sync -u 15'] %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu02 --command off --port 2',
'/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave02-hub01 -m off -u 15'] %}
{% set device_info = [{'board_id': '4f8fceab'}] %}
{% set storage_info = [{'SATA': '/dev/disk/by-id/ata-SanDisk_SSD_PLUS_120GB_2053JE446610'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'partition:0',
                           'partition:1', 'partition:2', 'partition:3',
                           'partition:4','partition:5', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'dragonboard-845c', 'worker': 'lkft-slave02.lkftlab', 'tags': ['cambridge-lab', 'production', 'lts', 'lcg'], 'aliases': []} %}
